import { Test, TestingModule } from '@nestjs/testing';
import { ProtestsController } from './ProtestsController';
import { ProtestsModule } from './ProtestsModule';

describe('ProtestsModule', () => {
  let module: TestingModule;

  beforeEach(async () => {
    module = await Test.createTestingModule({
      imports: [ProtestsModule],
    }).compile();
  });

  it('should compile the module', () => {
    expect(module).toBeDefined();
  });

  it('should provide ProtestsController', () => {
    const controller = module.get<ProtestsController>(ProtestsController);
    expect(controller).toBeDefined();
    expect(controller).toBeInstanceOf(ProtestsController);
  });
});